using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SatControl : MonoBehaviour
{
    public GameObject Shield;
    public GameObject Smoke;
    public GameObject Default;
    public GameObject Selected;

    public void Start()
    {
        Activate(false);
    }

    public void Activate(bool isActive)
    {
        Smoke.SetActive(!isActive);
        Shield.SetActive(isActive);
    }

    public void Select(bool isSelected)
    {
        Default.SetActive(!isSelected);
        Selected.SetActive(isSelected);
    }
}
